Last Comment Bug 520687 - Add Windows 7 SDK to build machines, SeaMonkey part
: Add Windows 7 SDK to build machines, SeaMonkey part
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- blocker (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser
:
Mentors:
Depends on: 505504
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-05 17:19 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-02-27 20:45 PST (History)
6 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Serge Gautherie (:sgautherie) 2009-10-05 17:19:43 PDT
See Thunderbird bug 520327.
Comment 1 Robert Kaiser 2009-10-22 08:01:10 PDT
While I needed to go in and clobber 1.9.1 tree anyhow, I also started on that. Right now, cb-seamonkey-win32-01 and -02 are taken off the buildmaster and cleaning up their slave trees before actually applying MozBuild 1.4 and the Win7 SDK.
cb-sea-win32-tbox and cn-sea-qm-win2k3-01 will follow once they're idle.
Comment 2 Robert Kaiser 2009-10-22 08:15:00 PDT
cn-sea-qm-win2k3-01 is now off the buildmaster as well for this action.
Comment 3 Robert Kaiser 2009-10-22 10:29:22 PDT
cb-sea-win32-tbox, cb-seamonkey-win32-01 and -02 have the SDK installed now and are rejoining the buildslave pool as we speak. I'll wait for builds to see if installing this was enough or if more is needed.
Comment 4 Robert Kaiser 2009-10-22 11:45:04 PDT
OK, all slaves have the SDK now, and after I run into compile errors I also remembered to install Hotfix 949009 as laid out in https://wiki.mozilla.org/ReferencePlatforms/Win32#Windows_7_SDK on all the slaves.

I fear that the 1.9.1 machines are using th Win7 SDK now as well, though, probably need to look into that still.
Comment 5 Robert Kaiser 2009-10-22 12:43:39 PDT
Pushed http://hg.mozilla.org/build/buildbot-configs/rev/fb228bd9b489 in the hope that it will work to make 1.9.1-based builds still use the Vista SDK.
Comment 6 Robert Kaiser 2009-10-22 13:23:15 PDT
One more fixup to this in http://hg.mozilla.org/build/buildbot-configs/rev/88d80415a92e to take into account running from both comm and mozilla build systems
Comment 7 Robert Kaiser 2009-10-22 18:16:34 PDT
I'll mark this fixed as we are green so far on the trunk side of things, so still have a few issues on branch unittests but I can keep working them out aside of this bug, I may have a solution already.
Comment 8 Robert Kaiser 2009-10-23 06:57:13 PDT
As a side note, the issues in comm-1.9.1 unittests were due to the MozillaBuild update to 1.4 which I did at the same time, and, have been fixed now as well, this episode should hopefully be over now.
Comment 9 Serge Gautherie (:sgautherie) 2009-10-24 08:17:31 PDT
V.Fixed, per tinderboxes.

Note You need to log in before you can comment on or make changes to this bug.